
%global meadversion 1.1.1
%global namedversion 1.1.1.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 17
%global namedversionrel redhat-4

# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%bcond_without mead

%define jafver  1.1.1
%define jar_name activation
%global fullversion 1.1.1

%define maven_version 1.1.1.redhat-4

Name:           glassfish-jaf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Glassfish - JavaBeans Activation Framework
License:        CDDL
Group:          Development/Java

%if %with mead
Source100: activation-1.1.1.redhat-4-scm-sources.zip
Source102: activation-1.1.1.redhat-4.jar
Source103: activation-1.1.1.redhat-4.pom
Source104: activation-1.1.1.redhat-4-project-sources.tar.gz
Source105: activation-1.1.1.redhat-4-sources.jar
Source106: activation-1.1.1.redhat-4-javadoc.jar
%endif

URL:            http://glassfish.dev.java.net/
BuildRequires:  jpackage-utils
Provides:       jaf = 0:%{jafver}
Provides:       jaf_api = 0:%{jafver}
Provides:       jaf_1_1_api
Provides:        activation
# Needed for backwards compatibility
Provides:       jaf = 1.1

# Needed to remove old GCJ classpathz-jaf on RHEL-5
Obsoletes:	classpathx-jaf = 0:1.0

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JavaBeans Activation Framework. 


%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

ls -lR

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
%{__cp} -p %{_sourcedir}/%{jar_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{jar_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar

%add_to_maven_depmap javax.activation activation %{namedversion} JPP %{name}

#FIXME: it's better to install these two pom in a separate package
#%add_to_maven_depmap org.glassfish pom 2 JPP glassfish-pom
#%add_to_maven_depmap org.glassfish.api api 1 JPP glassfish-api

pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{namedversion}.jar %{name}.jar
ln -sf %{name}-%{namedversion}-sources.jar %{name}-sources.jar
popd

pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{namedversion}.jar jaf-%{jafver}.jar
ln -s %{name}-%{namedversion}.jar jaf_api.jar
ln -s %{name}-%{namedversion}.jar jaf_1_1_1_api.jar
ln -s %{name}-%{namedversion}.jar jaf.jar
ln -s %{name}-%{namedversion}.jar activation.jar
popd

#touch $RPM_BUILD_ROOT%{_javadir}/activation.jar
#touch $RPM_BUILD_ROOT%{_javadir}/jaf.jar
#touch $RPM_BUILD_ROOT%{_javadir}/jaf_api.jar
#touch $RPM_BUILD_ROOT%{_javadir}/jaf_1_1_api.jar

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{jar_name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
%{_sbindir}/update-alternatives --install %{_javadir}/jaf.jar jaf %{_javadir}/%{name}.jar 10100
# make sure the old link from classpathx-jaf on RHEL-5 is removed
# or we will get a broken symlink for activation.jar
%{__rm} -f %{_javadir}/activation.jar
%{_sbindir}/update-alternatives --install %{_javadir}/activation.jar activation %{_javadir}/%{name}.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_api.jar jaf_api %{_javadir}/%{name}.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jaf_1_1_api.jar jaf_1_1_api %{_javadir}/%{name}.jar 10100

%preun
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaf %{_javadir}/%{name}.jar
    %{_sbindir}/update-alternatives --remove jaf_api %{_javadir}/%{name}.jar
    %{_sbindir}/update-alternatives --remove activation %{_javadir}/%{name}.jar
    %{_sbindir}/update-alternatives --remove jaf_1_1_api %{_javadir}/%{name}.jar
fi

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
#%{_javadir}/jaf-%{jafver}.jar
%ghost %{_javadir}*/jaf.jar
%ghost %{_javadir}*/jaf-1.1.1.jar
%ghost %{_javadir}*/activation.jar
%ghost %{_javadir}*/jaf_api.jar
%ghost %{_javadir}*/jaf_1_1_1_api.jar

%changelog
* Wed Dec 17 2014 Yong Yang <yyang@redhat.com> - 1.1.1-17.redhat_4.1
- Rebuild Wrapper

* Wed Dec 17 2014 Yong Yang <yyang@redhat.com> - 1.1.1-17.redhat_4.1
- Rebuild wrapper

* Wed Dec 17 2014 Yong Yang <yyang@redhat.com> - 1.1.1-18.redhat_4.2
- Update SPEC for 6.4 mead

* Tue Dec 16 2014 Paul Gier <pgier@redhat.com> - 1.1.1-17.redhat_4.1
- Rebuild for valid OSGi version string

* Wed Jan 08 2014 Fernando Nasser <fnasser@redhat.com> - 1.1-1.1_redhat_2.2
- Re-wrap for uniform Release tag

* Wed Jan 08 2014 Fernando Nasser <fnasser@redhat.com> - 1.1-1.1_redhat_2.2
- Re-wrap for uniform Release tag

* Tue Oct 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-16.redhat_2
- Remove old symlink for activation.jar before attempting to install
  alternatives, thus avoiding broken symlink

* Tue Oct 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-15.redhat_2
- Remove old GCJ classpathz-jaf on RHEL-5

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-14.redhat_2.3
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.1.1-13.redhat_2.3
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-12.redhat_2.3
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-12.redhat_1.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-12.redhat_1.1
- Rebuild using cache signing

* Wed Jun 20 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.1.1-12.redhat_1
- Build in MEAD

* Wed May 09 2012 Yong Yang <yyang@redhat.com> 0:1.1.1-11_redhat_1
- Fix vman pom
- Remove unused Sources

* Wed Apr 25 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-10.redhat_1
- Fix provides

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.1.1-9_redhat_1.1
- Rebuild using cache signing

* Tue Jan 17 2012 Yong Yang <yyang@redhat.com> 0:1.1.1-9_redhat_1
- Use correct source0 which pom has 1.1.1 version instead of 1.1-rev-1

* Mon Jan 16 2012 Yong Yang <yyang@redhat.com> 0:1.1.1-8_redhat_1
- Fix issue that pom was deployed to dir without -redhat-1 tail

* Mon Jan 16 2012 Yong Yang <yyang@redhat.com> 0:1.1.1-7_redhat_1
- Remove glassfish-api parent from pom

* Tue Sep 20 2011 Yong Yang <yyang@redhat.com> 0:1.1.1-6_redhat_1
- Fix pom location of repolib

* Mon Sep 19 2011 Yong Yang <yyang@redhat.com> 0:1.1.1-5_redhat_1
- Fix pom

* Fri Sep 16 2011 Yong Yang <yyang@redhat.com> 0:1.1.1-4_redhat_1
- Build for Werewolf

* Fri Jul 08 2011 Yong Yang <yyang@redhat.com> 0:1.1.1-3
- Install glassfish parent poms

* Wed Jul 06 2011 Yong Yang <yyang@redhat.com> 0:1.1.1-2
- Specify -Dversion to mvn-jpp

* Wed Jul 06 2011 Yong Yang <yyang@redhat.com> 0:1.1.1-1
- Upgrade to 1.1.1

* Thu Jan 20 2011 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-8
- Fix maven repo path and filename version to match pom

* Tue Nov 30 2010 Hui Wang <huwang@redhat.com> - 0:1.1.0-7
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.0-6.2.1
- rebuilt

* Tue Apr 20 2010 Luiz Barreiros <gbarreir@redhat.com> 0:1.1.0-6-2
- Rebuild

* Thu Jan 14 2010 Permaine Cheung <pcheung@redhat.com> 0:1.1.0-6.1
- Merge with RHEL-4-EP-5 branch

* Thu Jul 31 2008 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0jpp.ep1.12.1
- Adapt for RHEL-5

* Mon Jun 23 2008 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.12
- Change to glassfish/jaf from sun-jaf 

* Mon Apr 07 2008 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0jpp.ep1.11.1
- Rebuild
- Leave out no-ghosting hack from RHEL-4

* Mon Mar 31 2008 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.11
- Removed the post/postun javadoc sections (Taken care of by install and files javadoc) 

* Fri Feb 15 2008 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0jpp.ep1.10
- Do not ghost (which would be the right thing) because of a bug in the
  classpathx-jaf package and some RPM bug with ghosts (already fixed in RHEL-5)

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0jpp.ep1.9
- Revert to sun-jaf name due to "buildmagic" 

* Fri Nov 23 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.8
- Build with debug info

* Fri Nov 23 2007 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0jpp.ep1.7
- Parametrize component-info contents
- Install real JAR into repolibdir

* Thu Nov 22 2007 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-0jpp.ep1.6
- Fix installed name of component-info.xml

* Thu Nov 22 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.5
- Adding component-info.xml
- Changed the repodir to glassfish/jaf 
- Insert alternatives for activation

* Tue Nov 20 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.4
- Adding in the pom stuff 

* Thu Nov 15 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.3
- Rebuild with 1.5 

* Thu Nov 15 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.2
- Add jaf jaf_api jaf_1_1_api Provides and alternatives

* Tue Nov 13 2007 Clive Saldanha <csaldanh@redhat.com> 0:1.1.0-0jpp.ep1.1
- First release.
